﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace MJYSIWeb
{
    /// <summary>
    /// AvatarHandler 的摘要说明
    /// </summary>
    public class AvatarHandler : IHttpHandler
    {

        public void ProcessRequest(HttpContext context)
        {
            context.Response.ContentType = "text/plain";
            string result = "";
            string appid = "0";
            string username = "zgd";
            if (context.Request.Form["action"] == "get")
            {
                WebReference.JsonpTemplate ws = new WebReference.JsonpTemplate();
                result = ws.GetAvatar(appid, username);  
            }
            else {
                string picStr = context.Request.Form["picStr"];
                if (picStr.Length > 0 && appid.Length > 0 && username.Length > 0)
                {
                    WebReference.JsonpTemplate ws = new WebReference.JsonpTemplate();
                    result = ws.AddAvatar(appid, username, picStr);
                }
            }
            context.Response.Write(result);
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}